#include <bnb/glsl.vert>
#include <bnb/transform_uv.glsl>
#include <bnb/transform_camera_uv.glsl>

layout(location = 0) in vec2 attrib_pos;

BNB_OUT(0)
vec2 var_uv;

void main()
{
    vec2 v = attrib_pos;
    gl_Position = vec4(v, 0., 1.);

    var_uv = bnb_transform_camera_uv(v);
}
